import httpRequest from '@/utils/axios'

/**
 * 获取控制台数据
 */
export function getDashboardList(params) {
  return httpRequest.get('/api/zy-admin/school/console/index', { params })
}
/**
 * 获取控制台数据
 */
export function getStudentList(params) {
  return httpRequest.get('/api/zy-admin/school/student/list', { params })
}
/**
 * 导出学员列表
 * @params.key 课程ID、课程名称
 */
export function exportStudentList(params) {
  return httpRequest({
    url: '/api/zy-admin/school/student/download',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
/**
 * 获取控制台数据
 */
export function getCard(data) {
  return httpRequest.post('/api/zy-admin/school/student/create-certificate', data)
}
