import httpRequest from '@/utils/axios'

/**
 * 获取证书列表
 */
export function getCertList(params) {
  return httpRequest.get('/api/zy-admin/school/certificate/list', { params })
}
/**
 * 获取证书详情
 */
export function getCertDetails(params) {
  return httpRequest.get('/api/zy-admin/school/certificate/view', { params })
}

/**
 * 导出证书列表
 */
export function exportCertList(params) {
  return httpRequest.get('/api/zy-admin/school/certificate/download', { params, headers: { responseType: 'blob' } })
}

/**
 * 上传证书
 */
export function importPeople(data) {
  return httpRequest.post('/api/zy-admin/school/certificate/upload', data)
}
