const routes = [
  {
    path: '/school',
    component: () => import('@/components/layout/Index.vue'),
    children: [
      {
        path: 'cert',
        component: () => import('./views/List.vue'),
        meta: { title: '证书管理' }
      },
      {
        path: 'cert/details',
        component: () => import('./views/Details.vue'),
        meta: { title: '证书信息' }
      }
    ]
  },
  {
    path: '/bfi',
    component: () => import('@/components/layout/Index.vue'),
    props: { sidebar: false },
    children: [
      {
        path: 'cert',
        component: () => import('./views/BFIList.vue'),
        meta: { title: '证书管理' }
      },
      {
        path: 'cert/details',
        component: () => import('./views/Details.vue'),
        meta: { title: '证书信息' }
      }
    ]
  }
]

export { routes }
