const routes = [
  {
    path: '/school',
    component: () => import('@/components/layout/Index.vue'),
    children: [
      {
        path: 'class',
        component: () => import('./views/List.vue'),
        meta: { title: '班级管理' }
      },
      {
        name: 'update',
        path: 'class/update',
        component: () => import('./views/Update.vue'),
        props: { isEdit: true },
        meta: { title: '班级管理' }
      },
      {
        name: 'classDetail',
        path: 'class/view',
        component: () => import('./views/Detail.vue'),
        props: true,
        meta: { title: '班级管理' }
      },
      {
        name: 'ImportStudent',
        path: 'class/ImportStudent',
        component: () => import('../student/components/ImportStudent.vue'),
        meta: { title: '导入学员' }
      }
    ]
  }
]

export { routes }
