const routes = [
  {
    path: '/personnel',
    component: () => import('@/components/layout/Index.vue'),
    children: [
      {
        name: 'student',
        path: 'student',
        component: () => import('./views/List.vue'),
        meta: { title: '学员管理' }
      },
      {
        path: 'student/view',
        component: () => import('./views/Detail.vue'),
        meta: { title: '学员管理' }
      },
      {
        path: 'student/process',
        component: () => import('./views/Process.vue'),
        meta: { title: '学员管理' }
      },
      {
        name: 'processDetail',
        path: 'student/process/detail',
        component: () => import('../student/components/processDetail.vue'),
        meta: { title: '学员管理' }
      },
      {
        name: 'addStudents',
        path: 'student/update',
        component: () => import('./views/Update.vue'),
        meta: { title: '学员管理' }
      },
      {
        name: 'importStudent',
        path: 'student/importStudent',
        component: () => import('../student/components/ImportStudent.vue'),
        meta: { title: '学员管理' }
      }
    ]
  }
]

export { routes }
