const routes = [
  {
    path: '/personnel',
    component: () => import('@/components/layout/Index.vue'),
    children: [
      {
        name: 'teacher',
        path: 'teacher',
        component: () => import('./views/List.vue'),
        meta: { title: '教师管理' }
      },
      {
        path: 'teacher/view',
        component: () => import('./views/Detail.vue'),
        props: true,
        meta: { title: '教师管理' }
      },
      {
        name: 'addTeachers',
        path: 'teacher/update',
        component: () => import('./views/Update.vue'),
        props: true,
        meta: { title: '教师管理' }
      },
      {
        name: 'importTeacher',
        path: 'teacher/ImportTeachert',
        component: () => import('./components/ImportTeacher.vue'),
        meta: { title: '教师管理' }
      }
    ]
  }
]

export { routes }
