import httpRequest from '@/utils/axios'

/**
 * 获取审批列表
 */
export function getAuditList(params) {
  return httpRequest.get('/api/zy-admin/school/lobby/list', { params })
}
/**
 * 审批
 */
export function auditApply(data) {
  return httpRequest.post('/api/zy-admin/school/lobby/update', data)
}
/**
 * 一键审批通过
 */
export function multiPass(data) {
  return httpRequest.post('/api/zy-admin/school/lobby/multi-pass', data)
}
/**
 * 获取审批详情
 */
export function getAuditDetails(params) {
  return httpRequest.get('/api/zy-admin/school/lobby/view', { params })
}
