const routes = [
  {
    path: '/personnel',
    component: () => import('@/components/layout/Index.vue'),
    children: [
      {
        name: 'admin',
        path: 'admin',
        component: () => import('./views/List.vue'),
        meta: { title: '管理员管理' }
      },
      {
        path: 'admin/view',
        component: () => import('./views/Detail.vue'),
        props: true,
        meta: { title: '管理员管理' }
      },
      {
        name: 'addAdmin',
        path: 'admin/update',
        component: () => import('./views/Update.vue'),
        props: true,
        meta: { title: '管理员管理' }
      }
    ]
  }
]

export { routes }
