const routes = [
  {
    path: '/school',
    component: () => import('@/components/layout/Index.vue'),
    children: [
      {
        path: 'course',
        component: () => import('./views/List.vue'),
        meta: { title: '课程管理' }
      },
      {
        path: 'course/details',
        component: () => import('./views/Details.vue'),
        meta: { title: '课程基本信息' }
      }
    ]
  }
]

export { routes }
